---
apiVersion: "v1"
kind: "Template"
labels: {}
metadata:
  annotations:
    description: "Camel route using CDI in a standalone Java Container using Jetty\
      \ as HTTP server"
    fabric8.cdi-camel-jetty/summary: "Camel route using CDI in a standalone Java Container\
      \ using Jetty as HTTP server"
    fabric8.cdi-camel-jetty/iconUrl: "img/icons/camel.svg"
  labels: {}
  name: "cdi-camel-jetty"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      servicepath: "/camel/hello"
      prometheus.io/scrape: "true"
      prometheus.io/port: "9779"
    labels:
      project: "cdi-camel-jetty"
      provider: "fabric8"
      version: "2.2.105"
      group: "quickstarts"
    name: "cdi-camel-jetty"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "cdi-camel-jetty"
      provider: "fabric8"
      group: "quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v2.2.105"
      fabric8.io/git-commit: "e3c46d7e4505348f348157f055991a8c91218125"
      fabric8.io/git-url: "http://gogs.release.cd.fabric8.io/gogsadmin/oss-parent/commit/e3c46d7e4505348f348157f055991a8c91218125"
      fabric8.io/build-url: "http://jenkins.release.cd.fabric8.io/job/oss-parent/5"
      fabric8.io/build-id: "5"
    labels:
      project: "cdi-camel-jetty"
      provider: "fabric8"
      version: "2.2.105"
      group: "quickstarts"
    name: "cdi-camel-jetty"
  spec:
    replicas: 1
    selector:
      project: "cdi-camel-jetty"
      provider: "fabric8"
      version: "2.2.105"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          project: "cdi-camel-jetty"
          provider: "fabric8"
          version: "2.2.105"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/cdi-camel-jetty:2.2.105"
          name: "cdi-camel-jetty"
          ports:
          - containerPort: 8080
            name: "http"
          - containerPort: 8778
            name: "jolokia"
          readinessProbe:
            httpGet:
              httpHeaders: []
              path: "/camel/hello"
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 30
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
